# PulpAnsibleClient::CollectionOneShot

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**file** | **File** | The Collection tarball. | 
**sha256** | **String** | An optional sha256 checksum of the uploaded file. | [optional] 
**expected_namespace** | **String** | The expected &#39;namespace&#39; of the Collection to be verified against the metadata during import. | [optional] 
**expected_name** | **String** | The expected &#39;name&#39; of the Collection to be verified against the metadata during import. | [optional] 
**expected_version** | **String** | The expected version of the Collection to be verified against the metadata during import. | [optional] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::CollectionOneShot.new(file: null,
                                 sha256: null,
                                 expected_namespace: null,
                                 expected_name: null,
                                 expected_version: null)
```


