# PulpAnsibleClient::PulpAnsibleDefaultApiV3Api

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**read**](PulpAnsibleDefaultApiV3Api.md#read) | **GET** /pulp_ansible/galaxy/default/api/v3/ | 



## read

> RepoMetadataResponse read



Legacy v3 endpoint.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::PulpAnsibleDefaultApiV3Api.new

begin
  result = api_instance.read
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleDefaultApiV3Api->read: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**RepoMetadataResponse**](RepoMetadataResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

