# PulpAnsibleClient::UnpaginatedCollectionVersionResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**version** | **String** |  | [optional] [readonly] 
**href** | **String** |  | [optional] [readonly] 
**created_at** | **DateTime** |  | 
**updated_at** | **DateTime** |  | 
**requires_ansible** | **String** |  | [optional] 
**artifact** | [**ArtifactRefResponse**](ArtifactRefResponse.md) |  | [optional] [readonly] 
**collection** | [**CollectionRefResponse**](CollectionRefResponse.md) |  | [optional] [readonly] 
**download_url** | **String** |  | [optional] [readonly] 
**name** | **String** |  | [optional] [readonly] 
**namespace** | [**CollectionNamespaceResponse**](CollectionNamespaceResponse.md) |  | [optional] [readonly] 
**signatures** | **String** |  | [optional] [readonly] 
**metadata** | [**CollectionMetadataResponse**](CollectionMetadataResponse.md) |  | [optional] [readonly] 
**git_url** | **String** |  | [optional] [readonly] 
**git_commit_sha** | **String** |  | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::UnpaginatedCollectionVersionResponse.new(version: null,
                                 href: null,
                                 created_at: null,
                                 updated_at: null,
                                 requires_ansible: null,
                                 artifact: null,
                                 collection: null,
                                 download_url: null,
                                 name: null,
                                 namespace: null,
                                 signatures: null,
                                 metadata: null,
                                 git_url: null,
                                 git_commit_sha: null)
```


