# PulpAnsibleClient::AnsibleAnsibleDistributionResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**base_path** | **String** | The base (relative) path component of the published url. Avoid paths that                     overlap with other distribution base paths (e.g. \&quot;foo\&quot; and \&quot;foo/bar\&quot;) | 
**content_guard** | **String** | An optional content-guard. | [optional] 
**name** | **String** | A unique name. Ex, &#x60;rawhide&#x60; and &#x60;stable&#x60;. | 
**repository** | **String** | The latest RepositoryVersion for this Repository will be served. | [optional] 
**repository_version** | **String** | RepositoryVersion to be served | [optional] 
**client_url** | **String** | The URL of a Collection content source. | [optional] [readonly] 
**pulp_labels** | [**Object**](.md) |  | [optional] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::AnsibleAnsibleDistributionResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 base_path: null,
                                 content_guard: null,
                                 name: null,
                                 repository: null,
                                 repository_version: null,
                                 client_url: null,
                                 pulp_labels: null)
```


