# PulpAnsibleClient::AnsibleAnsibleRepository

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_labels** | [**Object**](.md) |  | [optional] 
**name** | **String** | A unique name for this repository. | 
**description** | **String** | An optional description. | [optional] 
**retain_repo_versions** | **Integer** | Retain X versions of the repository. Default is null which retains all versions. This is provided as a tech preview in Pulp 3 and may change in the future. | [optional] 
**remote** | **String** | An optional remote to use by default when syncing. | [optional] 
**last_synced_metadata_time** | **DateTime** | Last synced metadata time. | [optional] 
**keyring** | **String** | Location of keyring used to verify signatures uploaded to this repository | [optional] [default to &#39;&#39;]

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::AnsibleAnsibleRepository.new(pulp_labels: null,
                                 name: null,
                                 description: null,
                                 retain_repo_versions: null,
                                 remote: null,
                                 last_synced_metadata_time: null,
                                 keyring: null)
```


