# PulpAnsibleClient::PaginatedGalaxyCollectionResponseList

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**count** | **Integer** |  | [optional] 
**_next** | **String** |  | [optional] 
**previous** | **String** |  | [optional] 
**results** | [**Array&lt;GalaxyCollectionResponse&gt;**](GalaxyCollectionResponse.md) |  | [optional] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::PaginatedGalaxyCollectionResponseList.new(count: 123,
                                 _next: http://api.example.org/accounts/?page&#x3D;4,
                                 previous: http://api.example.org/accounts/?page&#x3D;2,
                                 results: null)
```


